<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_rel.inc.php");
Archivelog(@$_SESSION["code_log"]);

$pbm_cli=FALSE;
$pbm_cocl = FALSE;

// Niveau <=2 ne peut que voir les sites des contrats
if (@$_SESSION["niv_log"] <= 2)
	$td = "view";

$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
$co = strip_tags(trim($_GET['co'])); // Récupération code Contrat
$td = strip_tags(trim($_GET['td'])); // Récupération type demande

if ($cc<>"")
{
	// Contrôle qu'un client n'essaye pas de "hacker" un contrat
	if ((@$_SESSION["niv_log"] == 1) AND ($cc <> @$_SESSION["code_log"]))
		$pbm_cli = TRUE;

	$row = lit_enr_cli($cc,TRUE);
	if (is_array($row))
	{
		extract ($row);

		// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
		switch(@$_SESSION["niv_log"])
		{
			case 3 :
			case 4 :
				if (client_age_ok($cli_code,@$_SESSION["code_age"],TRUE)==FALSE)
					$pbm_cli = TRUE;
				break;
			default :
				break;
		}
	}
	else
		$pbm_cli = TRUE;
}
else
	$pbm_cli = TRUE;

if (($td<>"edit") AND ($td<>"view") AND ($td<>"add"))
	$pbm_cocl=TRUE;

if ($co <> "")
{
	// Récupération des informations contrat client
	$row = lit_enr_cocl($co);
	if (is_array($row))
	{
		extract ($row);
		
		// Si contrat terminé, force le mode "view"
		if (formatedate($cocl_datesig) <> "")
			$td="view";

		if ($td <> "add")
		{
			// Contrôle qu'un client n'essaye pas de "hacker" un contrat
			if ((@$_SESSION["niv_log"] == 1) AND ($cocl_codecli <> @$_SESSION["code_log"]))
				$pbm_cocl = TRUE;
		// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
			if (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) AND ($cocl_codeage <> @$_SESSION["code_age"]))
				$pbm_cocl = TRUE;
		}
	}
	else
	{
		if (($td=="edit") OR ($td=="view"))
			$pbm_cocl=TRUE;
	}
}
else
	$pbm_cocl = TRUE;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Site principal</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

</head>


<?PHP
if (($pbm_cli==FALSE) AND ($pbm_cocl==FALSE))
{
?>
<body>
<script type="text/javascript">
<!--
document.write('<p align="center">');
document.write('<span class="annot_gras_it">');
document.write('Contr&ocirc;le des sites du contrat<br>en cours...');
document.write('</span>');
document.write('</p>');
var valmat=window.opener.document.cocl_maj.matos.value;
<?PHP
$display="none";
if ((exist_rlic_actif($cc) == TRUE) OR (exist_rpdt_actif($cc) == TRUE))
	$display="block";
	
echo "var affbout='".$display."';\n";
// On génère la variable qui va permettre de comparer
echo "var valtxtmat='".@$_SESSION["txtmatlst"]."';\n";
// On remet les valeurs générées à zéro car on repart sur un nouveau site
$_SESSION["txtmatlst"]='';
$_SESSION["rlp_choisis"] = '';
?>
// On affiche ou on efface les boutons de choix
var objet1 = window.opener.document.getElementById('boutmat');
if (objet1)
	objet1.style.display = affbout;
var objet2 = window.opener.document.getElementById('notamat');
if (objet2)
	objet2.style.display = affbout;
if (!window.opener.document.cocl_maj.sitep.checked)
{
	if (window.opener.document.cocl_maj.sitesec.value=='')
	{
		alert('Vous devez au moins choisir un site\n(Aucun site secondaire n\'a été choisi)');
		window.opener.document.cocl_maj.sitep.checked=true;
	}
	else
	{
		var matos=update_txt_in_txt(valmat,valtxtmat,'');
		window.opener.document.cocl_maj.matos.value=matos;
		// S'il n'y a pas de bouton (pas de problème sur le site choisi), on laisse la possibilité de saisir du texte dans le textarea
		// en enlevant le readonly
		if (affbout=='none')
			window.opener.document.cocl_maj.matos.readOnly = false;
		else
			window.opener.document.cocl_maj.matos.readOnly = true;
	}
}
setTimeout("self.close();",1000);
//-->
</script>
<?PHP
}
else
{
?>
	<script type="text/javascript">
	<!--
	self.close();
	//-->
	</script>
<?PHP
}
?>
</body>
</html>
